#if defined entWatch_core_included
	#endinput
#endif

#define entWatch_core_included

#define DISPLAY_CHAT (1 << 0)
#define DISPLAY_HUD  (1 << 1)
#define DISPLAY_USE  (1 << 2)

enum items
{
	String:item_name[32],
	String:item_short[32],
	String:item_color[32],
	String:item_filter[32],
	bool:item_owned,
	item_buttonid,
	item_weaponid,
	item_triggerid,
	item_owner,
	item_button,
	item_weapon,
	item_trigger,
	item_display,
	item_mode,
	item_uses,
	item_maxuses,
	item_nextuse,
	item_cooldown,
};

native int EW_GetItemCount();

native void EW_GetItemArray(int index, any[] itemArray, int size);
native void EW_SetItemArray(int index, any[] itemArray, int size);

forward void EW_OnClientItemDrop(any[] itemArray, int client, int index);
forward void EW_OnClientItemDeath(any[] itemArray, int client, int index);
forward void EW_OnClientItemPickup(any[] itemArray, int client, int index);
forward void EW_OnClientItemActivate(any[] itemArray, int client, int index);
forward void EW_OnClientItemDisconnect(any[] itemArray, int client, int index);

forward Action EW_OnClientItemCanPickup(any[] itemArray, int client, int index);
forward Action EW_OnClientItemCanActivate(any[] itemArray, int client, int index);

public SharedPlugin __pl_entWatch_core =
{
	name = "entWatch-core",
	file = "entWatch-core.smx",

	#if defined REQUIRE_PLUGIN
		required = 1
	#else
		required = 0
	#endif
};

#if !defined REQUIRE_PLUGIN
	public void __pl_entWatch_core_SetNTVOptional()
	{
		MarkNativeAsOptional("EW_GetItemCount");
		MarkNativeAsOptional("EW_GetItemArray");
		MarkNativeAsOptional("EW_SetItemArray");
	}
#endif